/*
 * 4Bit Mode HD44780/KS066U Display driver
 * 
 * Marko Mueller - some code stolen: fixme
 *
 */
 #include <avr/io.h>
//----- Display Size -----//
#define LCD_WIDTH   20
#define LCD_LINES   4

#define LCD_DDRAM           7     //bit
#define LCD_LINE_LENGTH  0x40     /**< internal line length of the display    */
#define LCD_START_LINE1  0x00     /**< DDRAM address of first char of line 1 */
#define LCD_START_LINE2  0x40     /**< DDRAM address of first char of line 2 */
#define LCD_START_LINE3  0x14     /**< DDRAM address of first char of line 3 */
#define LCD_START_LINE4  0x54     /**< DDRAM address of first char of line 4 */

//----- Port Setup -----//

#define LCD_PORT PORTA //pin 0..3 used for data
#define LCD_RS PIN5_bm //RS pin @ LCD_PORT
#define LCD_E  PIN4_bm //E pin @ LCD_PORT


 
// basic initialisation  
void lcd_init(void);
void lcd_clear(void);
void lcd_home(void);

void lcd_write(char *s);

void lcd_goto(uint8_t x, uint8_t y);
